{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Mess Fees
{% endblock %}

{% block rightPane %}

    <div class="x_panel" xmlns="http://www.w3.org/1999/html">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Mess Fees
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for dept in all_departments %}
                        {% if forloop.counter == 1 %}
                            <li {% if selected_department == dept %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ dept.acronym }}
                                           data-toggle="tab" name="dept_tab">
                                    {{ dept.acronym }}

                                </a>
                            </li>
                        {% else %}
                            <li {% if selected_department == dept %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ dept.acronym }}
                                           data-toggle="tab" name="dept_tab">
                                    {{ dept.acronym }}

                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>

                <ul class="nav nav-tabs bar_tabs">
                    {% for batch in batches_of_department %}
                        {% if forloop.counter == 1 %}
                            <li {% if selected_batch == batch.batch_obj %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ batch.batch_obj }}
                                           data-toggle="tab" name="batch_tab">
                                    {{ batch.display_text }}

                                </a>
                            </li>
                        {% else %}
                            <li {% if selected_batch == batch.batch_obj %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ batch.batch_obj }}
                                           data-toggle="tab" name="batch_tab">
                                    {{ batch.display_text }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
                <div class="x_content">

                    <div class="row">
                        <form method="POST" class="form-horizontal" id="duration_form">
                            <div class="form-group">
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Select
                                    duration</label>
                                <div class="col-md-5 col-sm-6 col-xs-12">
                                    <select id="select_duration" class="form-control">
                                        {% for duration in all_durations %}
                                            {% if duration == selected_duration %}
                                                <option selected="selected"
                                                        value="{{ duration.pk }}">{{ duration }}</option>
                                            {% else %}
                                                <option value="{{ duration.pk }}">{{ duration }}</option>
                                            {% endif %}
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <label id="gender" class="control-label col-md-3 col-sm-3 col-xs-12 col-md-offset-1">Gender</label>
                                <div class="col-md-5 col-sm-7 col-xs-12">
                                    <label for="male">
                                        <input id="male" type="radio" required="" value="M" name="gender"
                                               {% if selected_gender == 'M' %}checked{% endif %}>
                                        Boys
                                    </label>
                                    <label for="female">
                                        <input id="female" type="radio" required="" value="F" name="gender"
                                               {% if selected_gender == 'F' %}checked{% endif %}>
                                        Girls
                                    </label>
                                </div>
                            </div>
                        </form>
                    </div>


                    <div class="col-md-offset-10">
                        <button type="button" class="btn btn-primary" id='genrate_pdf'>
                            Generate PDF
                        </button>
                    </div>

                    <form method="POST">{% csrf_token %}
                        <div id="hiddenut" style="display: none"></div>
                        <input type="text" name="course" value="{{ selected_course }}" hidden>
                        <div class="table-responsive">
                            <table id="table" class="table table-condensed table-bordered">
                                <thead>
                                <tr>
                                    <th>S.No</th>
                                    <th>Roll No</th>
                                    <th>Name</th>
                                    <th>No. of Days</th>
                                    <th>Cost per day</th>
                                    <th>Mess charge</th>
                                    <th>Extra</th>
                                    <th>NRSC</th>
                                    <th>INAM</th>
                                    <th>Cleaning Charges</th>
                                    <th>Security</th>
                                    <th>Total</th>
                                    <th>Round up</th>
                                    <th>Advance</th>
                                    <th>Dues</th>
                                    <th>Fine</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for entry in list_of_hostel_students %}
                                    {% if entry.is_registered %}
                                        <tr class="alert-success">
                                            {% else %}
                                        <tr class="">
                                    {% endif %}
                                <td>{{ forloop.counter }}</td>
                                <td>
                                    <a href='{% url 'enter_bill' %}?roll_no={{ entry.roll_no }}&duration_id={{ selected_duration.pk }}'>
                                        {{ entry.roll_no }}
                                    </a>
                                </td>
                                <td>
                                    <a href='{% url 'enter_bill' %}?roll_no={{ entry.roll_no }}&duration_id={{ selected_duration.pk }}'>
                                        {{ entry.name }}
                                    </a>
                                </td>
                                <td>{{ entry.fee_entries.no_of_days }}</td>
                                <td>{{ entry.fee_entries.cost_per_day }}</td>
                                <td>{{ entry.fee_entries.mess_charge }}</td>
                                <td>{{ entry.fee_entries.extra_charge }}</td>
                                <td>{{ entry.fee_entries.nrsc }}</td>
                                <td>{{ entry.fee_entries.inam }}</td>
                                <td>{{ entry.fee_entries.cleaning_charges }}</td>
                                <td>{{ entry.fee_entries.security }}</td>
                                <td>{{ entry.fee_entries.total }}</td>
                                <td>{{ entry.fee_entries.round_up }}</td>
                                <td>{{ entry.fee_entries.advance }}</td>
                                <td>{{ entry.fee_entries.dues }}</td>
                                <td>{{ entry.fee_entries.fine }}</td>
                                </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <br>
    <br>
    <br>
    <br>


    <form id="dummy_form" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        var curent_subject;
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="dept_tab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: {{ selected_batch }}, name: 'selected_batch'});
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: '{{ selected_gender }}',
                    name: 'selected_gender'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: {{ selected_duration.pk }},
                    name: 'selected_duration'
                });
                $hiddenInput.appendTo('form');


                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_dept_tab'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });

        $('document').ready(function () {
            $('[name="batch_tab"]').click(function () {
                //curent_subject = this.id;
                //alert(this.id)

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_batch'});
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: '{{ selected_department.acronym }}',
                    name: 'selected_dept_tab'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: '{{ selected_gender }}',
                    name: 'selected_gender'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: {{ selected_duration.pk }},
                    name: 'selected_duration'
                });
                $hiddenInput.appendTo('form');


                $('#dummy_form').submit();

            });
        });

        $('document').ready(function () {
            $('#select_duration').change(function () {
                //alert('sid');
                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: {{ selected_batch }}, name: 'selected_batch'});
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: '{{ selected_department.acronym }}',
                    name: 'selected_dept_tab'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: '{{ selected_gender }}',
                    name: 'selected_gender'
                });
                $hiddenInput.appendTo('form');


                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.value, name: 'selected_duration'});
                $hiddenInput.appendTo('form');
                $('#duration_form').submit();
            });
        });

        $('document').ready(function () {
            $("input[name='gender']").click(function () {
                //alert('sid');
                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: {{ selected_batch }}, name: 'selected_batch'});
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: '{{ selected_department.acronym }}',
                    name: 'selected_dept_tab'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.value, name: 'selected_gender'});
                $hiddenInput.appendTo('form');


                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: {{ selected_duration.pk }},
                    name: 'selected_duration'
                });
                $hiddenInput.appendTo('form');
                $('#duration_form').submit();
            });
        });

        $('document').ready(function () {
            $('#genrate_pdf').click(function () {
                //alert('sid');
                window.location = '{% url 'mess_bill_pdf' batch_obj=selected_batch dept_acronym=selected_department.acronym duration_id=selected_duration.pk gender=selected_gender %}';
            });
        });
    </script>
{% endblock %}